.content-switch


    // switch display logic ------------------------------------------------------------------------


    // hide section content by default
    &__section

        display none


    // hide radio buttons
    &__radiobutton

        display none


    // show a checked radio button’s section contents
    &__radiobutton:checked + &__label + &__section

        display block


    // hide section title (only relevant for screen readers)
    &__section-title

        display none


    // styling -------------------------------------------------------------------------------------


    &

        // flex container
        display flex
        flex-direction row
        flex-wrap wrap
        justify-content center
        align-items baseline


    &__label

        button()

        content_switch__white_border = 1px solid paper

        // flex item
        order 0
        flex-basis auto
        flex-grow 0
        flex-shrink 0

        // color
        background-color transparent
        color paper !important

        // border
        border-top content_switch__white_border
        border-bottom content_switch__white_border


        &:first-of-type

            border-left content_switch__white_border


        &:last-of-type

            border-right content_switch__white_border


        ^[0] ^[0]__radiobutton:checked + &

            background-color paper
            color ink !important


        ^[0] ^[0]__radiobutton:not(:checked) + &

            cursor pointer


    &__section

        // flex item
        order 1
        flex-basis 100%
        flex-grow 1
        flex-shrink 1

        page_manager__responsive_row_gap(margin-top)

